//  Copyright (c) 2012-2013 Thomas Heller
//  Copyright (c) 2022 Hartmut Kaiser
//
//  SPDX-License-Identifier: BSL-1.0
//  Distributed under the Boost Software License, Version 1.0. (See accompanying
//  file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

// Do not edit this file! It has been generated by the cmake configuration step.

#pragma once

#if !defined(HPX_PREFIX)
#define HPX_PREFIX ""
#endif

#define HPX_COROUTINE_NO_SEPARATE_CALL_SITES
#define HPX_HAVE_AUTOMATIC_SERIALIZATION_REGISTRATION
#define HPX_HAVE_BUILTIN_INTEGER_PACK
#define HPX_HAVE_C11_ALIGNED_ALLOC
#define HPX_HAVE_CXX11_ATOMIC_FLAG_INIT
#define HPX_HAVE_CXX11_STD_ATOMIC
#define HPX_HAVE_CXX11_STD_ATOMIC_128BIT
#define HPX_HAVE_CXX11_STD_QUICK_EXIT
#define HPX_HAVE_CXX11_STD_SHARED_PTR_LWG3018
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_ALIGNED_NEW
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_COPY_ELISION
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_FILESYSTEM
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_HARDWARE_DESTRUCTIVE_INTERFERENCE_SIZE
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_OPTIONAL_COPY_ELISION
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_SHARED_PTR_ARRAY
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_STD_ALIGNED_ALLOC
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_STD_EXECUTION_POLICES
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_STD_SCAN_ALGORITHMS
#endif
#if __cplusplus >= 201500
#define HPX_HAVE_CXX17_STD_TRANSFORM_SCAN_ALGORITHMS
#endif
#define HPX_HAVE_CXX_LAMBDA_CAPTURE_DECLTYPE
#define HPX_HAVE_DISTRIBUTED_RUNTIME
#define HPX_HAVE_DYNAMIC_HPX_MAIN
#define HPX_HAVE_ELF_HIDDEN_VISIBILITY
#define HPX_HAVE_GIT_COMMIT "unknown"
#define HPX_HAVE_IO_COUNTERS
#define HPX_HAVE_IO_POOL
#define HPX_HAVE_LOGGING
#define HPX_HAVE_MALLOC "tcmalloc"
#define HPX_HAVE_MAX_NUMA_DOMAIN_COUNT 8
#define HPX_HAVE_MM_PREFETCH
#define HPX_HAVE_MORE_THAN_64_THREADS
#define HPX_HAVE_NETWORKING
#define HPX_HAVE_PARCELPORT_TCP
#define HPX_HAVE_PARCEL_COALESCING
#define HPX_HAVE_SPINLOCK_POOL_NUM 128
#define HPX_HAVE_STABLE_INPLACE_MERGE
#define HPX_HAVE_STACKTRACES
#define HPX_HAVE_STACKTRACES_DEMANGLE_SYMBOLS
#define HPX_HAVE_STACKTRACES_STATIC_SYMBOLS OFF
#define HPX_HAVE_THREAD_BACKTRACE_DEPTH 20
#define HPX_HAVE_THREAD_CUMULATIVE_COUNTS
#define HPX_HAVE_THREAD_GUARD_PAGE
#define HPX_HAVE_THREAD_MANAGER_IDLE_BACKOFF
#define HPX_HAVE_THREAD_STACK_MMAP
#define HPX_HAVE_TIMER_POOL
#define HPX_HAVE_TUPLE_RVALUE_SWAP
#define HPX_HAVE_UNISTD_H
#define HPX_WITH_CXX14_DELETE_OPERATOR_WITH_SIZE
#define HPX_ZERO_COPY_SERIALIZATION_THRESHOLD 8192

#if !defined(ASIO_DISABLE_CONCEPTS)
#define ASIO_DISABLE_CONCEPTS
#endif
#if !defined(ASIO_DISABLE_STD_EXPERIMENTAL_STRING_VIEW)
#define ASIO_DISABLE_STD_EXPERIMENTAL_STRING_VIEW
#endif
#if !defined(ASIO_HAS_BOOST_THROW_EXCEPTION)
#define ASIO_HAS_BOOST_THROW_EXCEPTION 0
#endif
#if !defined(ASIO_HAS_STD_INVOKE_RESULT)
#define ASIO_HAS_STD_INVOKE_RESULT 1
#endif
#if !defined(ASIO_NO_NOMINMAX)
#define ASIO_NO_NOMINMAX
#endif
#if !defined(BOOST_ALL_DYN_LINK)
#define BOOST_ALL_DYN_LINK
#endif
#if !defined(BOOST_BIGINT_HAS_NATIVE_INT64)
#define BOOST_BIGINT_HAS_NATIVE_INT64
#endif
#if !defined(HPX_DEFAULT_COMPONENT_PATH_SUFFIXES)
#define HPX_DEFAULT_COMPONENT_PATH_SUFFIXES "//usr/lib/hpx:/bin/hpx:/lib/hpx:/bin/hpx"
#endif
#if !defined(HPX_HAVE_DEPRECATION_WARNINGS)
#define HPX_HAVE_DEPRECATION_WARNINGS 1
#endif

#if defined(HPX_HAVE_MAX_CPU_COUNT) && (HPX_HAVE_MAX_CPU_COUNT > 64) &&       \
    !defined(HPX_HAVE_MORE_THAN_64_THREADS)
#define HPX_HAVE_MORE_THAN_64_THREADS
#endif
