# Copyright (c) 2019 Ste||ar Group
#
# SPDX-License-Identifier: BSL-1.0
# Distributed under the Boost Software License, Version 1.0. (See accompanying
# file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

# File to store the HPX_* cache variables

set(HPX_BINARY_DIR /builddir/build/BUILD/hpx-1.9.1/i686-redhat-linux-gnu-serial)
set(HPX_COMPONENTS component_storage;unordered;partitioned_vector;iostreams;io_counters;memory_counters;process)
set(HPX_CORE_ENABLED_MODULES affinity;algorithms;allocator_support;asio;assertion;async_base;async_combinators;async_local;batch_environments;cache;command_line_handling_local;compute_local;concepts;concurrency;config;config_registry;coroutines;datastructures;debugging;errors;execution;execution_base;executors;filesystem;format;functional;futures;hardware;hashing;include_local;ini;init_runtime_local;io_service;iterator_support;itt_notify;lcos_local;lock_registration;logging;memory;pack_traversal;plugin;prefix;preprocessor;program_options;properties;resiliency;resource_partitioner;runtime_configuration;runtime_local;schedulers;serialization;static_reinit;string_util;synchronization;tag_invoke;testing;thread_pool_util;thread_pools;thread_support;threading;threading_base;threadmanager;timed_execution;timing;topology;type_support;util;version)
set(HPX_COROUTINES_WITH_SWAP_CONTEXT_EMULATION OFF)
set(HPX_CXX11_STD_ATOMIC_LIBRARIES atomic)
set(HPX_DATASTRUCTURES_WITH_ADAPT_STD_TUPLE ON)
set(HPX_DATASTRUCTURES_WITH_ADAPT_STD_VARIANT OFF)
set(HPX_ENABLED_MODULES actions;actions_base;affinity;agas;agas_base;algorithms;allocator_support;asio;assertion;async_base;async_colocated;async_combinators;async_distributed;async_local;batch_environments;cache;checkpoint;checkpoint_base;collectives;command_line_handling;command_line_handling_local;components;components_base;compute;compute_local;concepts;concurrency;config;config_registry;coroutines;datastructures;debugging;distribution_policies;errors;execution;execution_base;executors;executors_distributed;filesystem;format;functional;futures;hardware;hashing;include;include_local;ini;init_runtime;init_runtime_local;io_service;iterator_support;itt_notify;lcos_distributed;lcos_local;lock_registration;logging;memory;naming;naming_base;pack_traversal;parcelport_tcp;parcelset;parcelset_base;performance_counters;plugin;plugin_factories;prefix;preprocessor;program_options;properties;resiliency;resiliency_distributed;resource_partitioner;runtime_components;runtime_configuration;runtime_distributed;runtime_local;schedulers;segmented_algorithms;serialization;static_reinit;statistics;string_util;synchronization;tag_invoke;testing;thread_pool_util;thread_pools;thread_support;threading;threading_base;threadmanager;timed_execution;timing;topology;type_support;util;version)
set(HPX_EXPORT_INTERNAL_TARGETS hpx_private_flags;hpx_public_flags;hpx_full;hpx_interface;hpx_interface_wrap_main;hpx_core;hpx_affinity;hpx_algorithms;hpx_allocator_support;hpx_asio;hpx_assertion;hpx_async_base;hpx_async_combinators;hpx_async_local;hpx_batch_environments;hpx_cache;hpx_command_line_handling_local;hpx_compute_local;hpx_concepts;hpx_concurrency;hpx_config;hpx_config_registry;hpx_coroutines;hpx_datastructures;hpx_debugging;hpx_errors;hpx_execution;hpx_execution_base;hpx_executors;hpx_filesystem;hpx_format;hpx_functional;hpx_futures;hpx_hardware;hpx_hashing;hpx_include_local;hpx_ini;hpx_init_runtime_local;hpx_io_service;hpx_iterator_support;hpx_itt_notify;hpx_lcos_local;hpx_lock_registration;hpx_logging;hpx_memory;hpx_pack_traversal;hpx_plugin;hpx_prefix;hpx_preprocessor;hpx_program_options;hpx_properties;hpx_resiliency;hpx_resource_partitioner;hpx_runtime_configuration;hpx_runtime_local;hpx_schedulers;hpx_serialization;hpx_static_reinit;hpx_string_util;hpx_synchronization;hpx_tag_invoke;hpx_testing;hpx_thread_pool_util;hpx_thread_pools;hpx_thread_support;hpx_threading;hpx_threading_base;hpx_threadmanager;hpx_timed_execution;hpx_timing;hpx_topology;hpx_type_support;hpx_util;hpx_version;hpx_actions;hpx_actions_base;hpx_agas;hpx_agas_base;hpx_async_colocated;hpx_async_distributed;hpx_checkpoint;hpx_checkpoint_base;hpx_collectives;hpx_command_line_handling;hpx_components;hpx_components_base;hpx_compute;hpx_distribution_policies;hpx_executors_distributed;hpx_include;hpx_init_runtime;hpx_lcos_distributed;hpx_naming;hpx_naming_base;hpx_parcelport_tcp;hpx_parcelset;hpx_parcelset_base;hpx_performance_counters;hpx_plugin_factories;hpx_resiliency_distributed;hpx_runtime_components;hpx_runtime_distributed;hpx_segmented_algorithms;hpx_statistics;hpx_init;hpx_wrap;hpx_base_libraries)
set(HPX_EXPORT_TARGETS hpx;wrap_main;plugin;component;component_storage_component;unordered_component;partitioned_vector_component;iostreams_component;parcel_coalescing;io_counters_component;memory_counters_component;process_component)
set(HPX_FILESYSTEM_WITH_BOOST_FILESYSTEM_COMPATIBILITY OFF)
set(HPX_FULL_ENABLED_MODULES actions;actions_base;agas;agas_base;async_colocated;async_distributed;checkpoint;checkpoint_base;collectives;command_line_handling;components;components_base;compute;distribution_policies;executors_distributed;include;init_runtime;lcos_distributed;naming;naming_base;parcelport_tcp;parcelset;parcelset_base;performance_counters;plugin_factories;resiliency_distributed;runtime_components;runtime_distributed;segmented_algorithms;statistics)
set(HPX_INTERNAL_ARCH_DETECT i386)
set(HPX_IS_TOP_LEVEL ON)
set(HPX_ITERATOR_SUPPORT_WITH_BOOST_ITERATOR_TRAVERSAL_TAG_COMPATIBILITY OFF)
set(HPX_LIBS core;full)
set(HPX_LOGGING_WITH_SEPARATE_DESTINATIONS ON)
set(HPX_PLATFORM native)
set(HPX_SERIALIZATION_WITH_ALLOW_CONST_TUPLE_MEMBERS OFF)
set(HPX_SERIALIZATION_WITH_ALLOW_RAW_POINTER_SERIALIZATION OFF)
set(HPX_SERIALIZATION_WITH_ALL_TYPES_ARE_BITWISE_SERIALIZABLE OFF)
set(HPX_SERIALIZATION_WITH_BOOST_TYPES OFF)
set(HPX_SERIALIZATION_WITH_SUPPORTS_ENDIANESS OFF)
set(HPX_SOURCE_DIR /builddir/build/BUILD/hpx-1.9.1)
set(HPX_STATIC_PARCELPORT_PLUGINS parcelport_tcp)
set(HPX_TOPOLOGY_WITH_ADDITIONAL_HWLOC_TESTING OFF)
set(HPX_WITH_AGAS_DUMP_REFCNT_ENTRIES OFF)
set(HPX_WITH_APEX OFF)
set(HPX_WITH_ASIO_TAG asio-1-21-0)
set(HPX_WITH_ASYNC_MPI OFF)
set(HPX_WITH_ATTACH_DEBUGGER_ON_TEST_FAILURE OFF)
set(HPX_WITH_AUTOMATIC_SERIALIZATION_REGISTRATION ON)
set(HPX_WITH_BENCHMARK_SCRIPTS_PATH /builddir/build/BUILD/hpx-1.9.1/i686-redhat-linux-gnu-serial/scripts)
set(HPX_WITH_BUILD_BINARY_PACKAGE ON)
set(HPX_WITH_BUILTIN_FORWARD_MOVE FALSE)
set(HPX_WITH_BUILTIN_FORWARD_MOVE_RESULT FALSE)
set(HPX_WITH_BUILTIN_INTEGER_PACK TRUE)
set(HPX_WITH_BUILTIN_INTEGER_PACK_RESULT TRUE)
set(HPX_WITH_BUILTIN_MAKE_INTEGER_SEQ FALSE)
set(HPX_WITH_BUILTIN_MAKE_INTEGER_SEQ_RESULT FALSE)
set(HPX_WITH_BUILTIN_TYPE_PACK_ELEMENT FALSE)
set(HPX_WITH_BUILTIN_TYPE_PACK_ELEMENT_RESULT FALSE)
set(HPX_WITH_C11_ALIGNED_ALLOC TRUE)
set(HPX_WITH_C11_ALIGNED_ALLOC_RESULT TRUE)
set(HPX_WITH_CHECK_MODULE_DEPENDENCIES OFF)
set(HPX_WITH_COMPILER_WARNINGS ON)
set(HPX_WITH_COMPILER_WARNINGS_AS_ERRORS OFF)
set(HPX_WITH_COMPILE_ONLY_TESTS ON)
set(HPX_WITH_COMPRESSION_BZIP2 OFF)
set(HPX_WITH_COMPRESSION_SNAPPY OFF)
set(HPX_WITH_COMPRESSION_ZLIB OFF)
set(HPX_WITH_COROUTINE_COUNTERS OFF)
set(HPX_WITH_CUDA OFF)
set(HPX_WITH_CXX11_ATOMIC TRUE)
set(HPX_WITH_CXX11_ATOMIC_128BIT TRUE)
set(HPX_WITH_CXX11_ATOMIC_128BIT_RESULT TRUE)
set(HPX_WITH_CXX11_ATOMIC_RESULT TRUE)
set(HPX_WITH_CXX11_SHARED_PTR_LWG3018 TRUE)
set(HPX_WITH_CXX11_SHARED_PTR_LWG3018_RESULT TRUE)
set(HPX_WITH_CXX11_STD_QUICK_EXIT TRUE)
set(HPX_WITH_CXX11_STD_QUICK_EXIT_RESULT TRUE)
set(HPX_WITH_CXX14_DELETE_OPERATOR_WITH_SIZE TRUE)
set(HPX_WITH_CXX14_DELETE_OPERATOR_WITH_SIZE_RESULT TRUE)
set(HPX_WITH_CXX17_ALIGNED_NEW TRUE)
set(HPX_WITH_CXX17_ALIGNED_NEW_RESULT TRUE)
set(HPX_WITH_CXX17_COPY_ELISION TRUE)
set(HPX_WITH_CXX17_COPY_ELISION_RESULT TRUE)
set(HPX_WITH_CXX17_FILESYSTEM TRUE)
set(HPX_WITH_CXX17_FILESYSTEM_RESULT TRUE)
set(HPX_WITH_CXX17_HARDWARE_DESTRUCTIVE_INTERFERENCE_SIZE TRUE)
set(HPX_WITH_CXX17_HARDWARE_DESTRUCTIVE_INTERFERENCE_SIZE_RESULT TRUE)
set(HPX_WITH_CXX17_OPTIONAL_COPY_ELISION TRUE)
set(HPX_WITH_CXX17_OPTIONAL_COPY_ELISION_RESULT TRUE)
set(HPX_WITH_CXX17_SHARED_PTR_ARRAY TRUE)
set(HPX_WITH_CXX17_SHARED_PTR_ARRAY_RESULT TRUE)
set(HPX_WITH_CXX17_STD_ALIGNED_ALLOC TRUE)
set(HPX_WITH_CXX17_STD_ALIGNED_ALLOC_RESULT TRUE)
set(HPX_WITH_CXX17_STD_EXECUTION_POLICES TRUE)
set(HPX_WITH_CXX17_STD_EXECUTION_POLICES_RESULT TRUE)
set(HPX_WITH_CXX17_STD_SCAN_ALGORITHMS TRUE)
set(HPX_WITH_CXX17_STD_SCAN_ALGORITHMS_RESULT TRUE)
set(HPX_WITH_CXX17_STD_TRANSFORM_SCAN_ALGORITHMS TRUE)
set(HPX_WITH_CXX17_STD_TRANSFORM_SCAN_ALGORITHMS_RESULT TRUE)
set(HPX_WITH_CXX_FLAG_FDIAGNOSTICS_SHOW_OPTION 1)
set(HPX_WITH_CXX_FLAG_FVISIBILITY_HIDDEN 1)
set(HPX_WITH_CXX_FLAG_PTHREAD 1)
set(HPX_WITH_CXX_FLAG_WALL 1)
set(HPX_WITH_CXX_FLAG_WCAST_ALIGN 1)
set(HPX_WITH_CXX_FLAG_WCAST_QUAL 1)
set(HPX_WITH_CXX_FLAG_WDOUBLE_PROMOTION 1)
set(HPX_WITH_CXX_FLAG_WERROR_FORMAT 1)
set(HPX_WITH_CXX_FLAG_WERROR_MISSING_BRACES 1)
set(HPX_WITH_CXX_FLAG_WERROR_PARENTHESES 1)
set(HPX_WITH_CXX_FLAG_WERROR_REORDER 1)
set(HPX_WITH_CXX_FLAG_WERROR_RETURN_TYPE 1)
set(HPX_WITH_CXX_FLAG_WERROR_SEQUENCE_POINT 1)
set(HPX_WITH_CXX_FLAG_WERROR_SIGN_COMPARE 1)
set(HPX_WITH_CXX_FLAG_WERROR_TRAMPOLINES 1)
set(HPX_WITH_CXX_FLAG_WERROR_UNINITIALIZED 1)
set(HPX_WITH_CXX_FLAG_WERROR_VLA 1)
set(HPX_WITH_CXX_FLAG_WEXTRA 1)
set(HPX_WITH_CXX_FLAG_WFORMAT_2 1)
set(HPX_WITH_CXX_FLAG_WINIT_SELF 1)
set(HPX_WITH_CXX_FLAG_WNO_ATTRIBUTES 1)
set(HPX_WITH_CXX_FLAG_WNO_CAST_ALIGN 1)
set(HPX_WITH_CXX_FLAG_WNO_DELETE_NON_VIRTUAL_DTOR 1)
set(HPX_WITH_CXX_FLAG_WNO_FORMAT_NONLITERAL 1)
set(HPX_WITH_CXX_FLAG_WNO_INTERFERENCE_SIZE 1)
set(HPX_WITH_CXX_FLAG_WNO_MAYBE_UNINITIALIZED 1)
set(HPX_WITH_CXX_FLAG_WNO_NOEXCEPT_TYPE 1)
set(HPX_WITH_CXX_FLAG_WNO_SELF_MOVE 1)
set(HPX_WITH_CXX_FLAG_WNO_SIGN_PROMO 1)
set(HPX_WITH_CXX_FLAG_WNO_STRICT_ALIASING 1)
set(HPX_WITH_CXX_FLAG_WNO_SYNC_NAND 1)
set(HPX_WITH_CXX_FLAG_WNO_UNUSED_BUT_SET_PARAMETER 1)
set(HPX_WITH_CXX_FLAG_WNO_UNUSED_BUT_SET_VARIABLE 1)
set(HPX_WITH_CXX_FLAG_WNO_UNUSED_LOCAL_TYPEDEFS 1)
set(HPX_WITH_CXX_FLAG_WNO_USE_AFTER_FREE 1)
set(HPX_WITH_CXX_FLAG_WPEDANTIC 1)
set(HPX_WITH_CXX_LAMBDA_CAPTURE_DECLTYPE TRUE)
set(HPX_WITH_CXX_LAMBDA_CAPTURE_DECLTYPE_RESULT TRUE)
set(HPX_WITH_CXX_STANDARD 17)
set(HPX_WITH_DATAPAR_BACKEND NONE)
set(HPX_WITH_DEPRECATION_WARNINGS ON)
set(HPX_WITH_DISABLED_SIGNAL_EXCEPTION_HANDLERS OFF)
set(HPX_WITH_DISTRIBUTED_RUNTIME ON)
set(HPX_WITH_DOCUMENTATION OFF)
set(HPX_WITH_DYNAMIC_HPX_MAIN ON)
set(HPX_WITH_EXAMPLES ON)
set(HPX_WITH_EXAMPLES_HDF5 OFF)
set(HPX_WITH_EXAMPLES_OPENMP OFF)
set(HPX_WITH_EXAMPLES_QT4 OFF)
set(HPX_WITH_EXAMPLES_QTHREADS OFF)
set(HPX_WITH_EXAMPLES_TBB OFF)
set(HPX_WITH_EXECUTABLE_PREFIX )
set(HPX_WITH_FAIL_COMPILE_TESTS ON)
set(HPX_WITH_FAULT_TOLERANCE OFF)
set(HPX_WITH_FETCH_ASIO OFF)
set(HPX_WITH_FETCH_LCI OFF)
set(HPX_WITH_FULL_RPATH ON)
set(HPX_WITH_GCC_VERSION_CHECK ON)
set(HPX_WITH_GENERIC_CONTEXT_COROUTINES OFF)
set(HPX_WITH_HIDDEN_VISIBILITY ON)
set(HPX_WITH_HIP OFF)
set(HPX_WITH_HIPSYCL OFF)
set(HPX_WITH_IO_COUNTERS ON)
set(HPX_WITH_IO_POOL ON)
set(HPX_WITH_ITTNOTIFY OFF)
set(HPX_WITH_LCI_TAG v1.7.5)
set(HPX_WITH_LOGGING ON)
set(HPX_WITH_MALLOC tcmalloc)
set(HPX_WITH_MAX_CPU_COUNT )
set(HPX_WITH_MAX_NUMA_DOMAIN_COUNT 8)
set(HPX_WITH_MM_PREFETCH TRUE)
set(HPX_WITH_MM_PREFETCH_RESULT TRUE)
set(HPX_WITH_MODULES_AS_STATIC_LIBRARIES OFF)
set(HPX_WITH_NETWORKING ON)
set(HPX_WITH_NICE_THREADLEVEL OFF)
set(HPX_WITH_PAPI OFF)
set(HPX_WITH_PARALLEL_LINK_JOBS 2)
set(HPX_WITH_PARALLEL_TESTS_BIND_NONE OFF)
set(HPX_WITH_PARCELPORT_ACTION_COUNTERS OFF)
set(HPX_WITH_PARCELPORT_COUNTERS OFF)
set(HPX_WITH_PARCELPORT_LCI OFF)
set(HPX_WITH_PARCELPORT_LIBFABRIC OFF)
set(HPX_WITH_PARCELPORT_MPI OFF)
set(HPX_WITH_PARCELPORT_TCP ON)
set(HPX_WITH_PARCEL_COALESCING ON)
set(HPX_WITH_PARCEL_PROFILING OFF)
set(HPX_WITH_PKGCONFIG ON)
set(HPX_WITH_POWER_COUNTER OFF)
set(HPX_WITH_PRECOMPILED_HEADERS OFF)
set(HPX_WITH_PSEUDO_DEPENDENCIES ON)
set(HPX_WITH_RDTSC FALSE)
set(HPX_WITH_RDTSC_COMPILE_RESULT FALSE)
set(HPX_WITH_RPM OFF)
set(HPX_WITH_RUN_MAIN_EVERYWHERE OFF)
set(HPX_WITH_SANITIZERS OFF)
set(HPX_WITH_SCHEDULER_LOCAL_STORAGE OFF)
set(HPX_WITH_SPINLOCK_DEADLOCK_DETECTION OFF)
set(HPX_WITH_SPINLOCK_POOL_NUM 128)
set(HPX_WITH_STABLE_INPLACE_MERGE TRUE)
set(HPX_WITH_STABLE_INPLACE_MERGE_RESULT TRUE)
set(HPX_WITH_STACKOVERFLOW_DETECTION OFF)
set(HPX_WITH_STACKTRACES ON)
set(HPX_WITH_STACKTRACES_DEMANGLE_SYMBOLS ON)
set(HPX_WITH_STACKTRACES_STATIC_SYMBOLS OFF)
set(HPX_WITH_STATIC_LINKING OFF)
set(HPX_WITH_SYCL OFF)
set(HPX_WITH_SYCL_FLAGS )
set(HPX_WITH_TARGET_ARCHITECTURE i386)
set(HPX_WITH_TESTS ON)
set(HPX_WITH_TESTS_BENCHMARKS ON)
set(HPX_WITH_TESTS_DEBUG_LOG OFF)
set(HPX_WITH_TESTS_DEBUG_LOG_DESTINATION cout)
set(HPX_WITH_TESTS_EXAMPLES ON)
set(HPX_WITH_TESTS_EXTERNAL_BUILD ON)
set(HPX_WITH_TESTS_HEADERS OFF)
set(HPX_WITH_TESTS_MAX_THREADS_PER_LOCALITY 0)
set(HPX_WITH_TESTS_REGRESSIONS ON)
set(HPX_WITH_TESTS_UNIT ON)
set(HPX_WITH_THREAD_BACKTRACE_DEPTH 20)
set(HPX_WITH_THREAD_BACKTRACE_ON_SUSPENSION OFF)
set(HPX_WITH_THREAD_CREATION_AND_CLEANUP_RATES OFF)
set(HPX_WITH_THREAD_CUMULATIVE_COUNTS ON)
set(HPX_WITH_THREAD_DEBUG_INFO OFF)
set(HPX_WITH_THREAD_DESCRIPTION_FULL OFF)
set(HPX_WITH_THREAD_GUARD_PAGE ON)
set(HPX_WITH_THREAD_IDLE_RATES OFF)
set(HPX_WITH_THREAD_LOCAL_STORAGE OFF)
set(HPX_WITH_THREAD_MANAGER_IDLE_BACKOFF ON)
set(HPX_WITH_THREAD_QUEUE_WAITTIME OFF)
set(HPX_WITH_THREAD_STACK_MMAP ON)
set(HPX_WITH_THREAD_STEALING_COUNTS OFF)
set(HPX_WITH_THREAD_TARGET_ADDRESS OFF)
set(HPX_WITH_TIMER_POOL ON)
set(HPX_WITH_TOOLS OFF)
set(HPX_WITH_TUPLE_RVALUE_SWAP ON)
set(HPX_WITH_UNISTD_H TRUE)
set(HPX_WITH_UNISTD_H_RESULT TRUE)
set(HPX_WITH_UNITY_BUILD OFF)
set(HPX_WITH_VALGRIND OFF)
set(HPX_WITH_VERIFY_LOCKS OFF)
set(HPX_WITH_VERIFY_LOCKS_BACKTRACE OFF)
set(HPX_WITH_VIM_YCM OFF)
set(HPX_WITH_ZERO_COPY_SERIALIZATION_THRESHOLD 8192)

