# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.25)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS HPX::hpx HPX::wrap_main HPX::plugin HPX::component HPX::component_storage_component HPX::unordered_component HPX::partitioned_vector_component HPX::iostreams_component HPX::parcel_coalescing HPX::io_counters_component HPX::memory_counters_component HPX::process_component)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr")

# Create imported target HPX::hpx
add_library(HPX::hpx INTERFACE IMPORTED)

set_target_properties(HPX::hpx PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPXInternal::hpx_full;HPXInternal::hpx_interface"
)

# Create imported target HPX::wrap_main
add_library(HPX::wrap_main INTERFACE IMPORTED)

set_target_properties(HPX::wrap_main PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPXInternal::hpx_interface_wrap_main"
)

# Create imported target HPX::plugin
add_library(HPX::plugin INTERFACE IMPORTED)

set_target_properties(HPX::plugin PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<IN_LIST:\$<TARGET_PROPERTY:TYPE>,STATIC_LIBRARY;MODULE_LIBRARY;SHARED_LIBRARY;OBJECT_LIBRARY;INTERFACE_LIBRARY>:HPX_PLUGIN_NAME_DEFAULT=hpx_\$<TARGET_PROPERTY:NAME>>"
)

# Create imported target HPX::component
add_library(HPX::component INTERFACE IMPORTED)

set_target_properties(HPX::component PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<\$<IN_LIST:\$<TARGET_PROPERTY:TYPE>,STATIC_LIBRARY;MODULE_LIBRARY;SHARED_LIBRARY;OBJECT_LIBRARY;INTERFACE_LIBRARY>:HPX_COMPONENT_NAME_DEFAULT=hpx_\$<TARGET_PROPERTY:NAME>>;\$<\$<IN_LIST:\$<TARGET_PROPERTY:TYPE>,STATIC_LIBRARY;MODULE_LIBRARY;SHARED_LIBRARY;OBJECT_LIBRARY;INTERFACE_LIBRARY>:HPX_COMPONENT_EXPORTS>"
)

# Create imported target HPX::component_storage_component
add_library(HPX::component_storage_component SHARED IMPORTED)

set_target_properties(HPX::component_storage_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx;HPX::unordered_component"
)

# Create imported target HPX::unordered_component
add_library(HPX::unordered_component SHARED IMPORTED)

set_target_properties(HPX::unordered_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

# Create imported target HPX::partitioned_vector_component
add_library(HPX::partitioned_vector_component SHARED IMPORTED)

set_target_properties(HPX::partitioned_vector_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

# Create imported target HPX::iostreams_component
add_library(HPX::iostreams_component SHARED IMPORTED)

set_target_properties(HPX::iostreams_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

# Create imported target HPX::parcel_coalescing
add_library(HPX::parcel_coalescing SHARED IMPORTED)

set_target_properties(HPX::parcel_coalescing PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

# Create imported target HPX::io_counters_component
add_library(HPX::io_counters_component SHARED IMPORTED)

set_target_properties(HPX::io_counters_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

# Create imported target HPX::memory_counters_component
add_library(HPX::memory_counters_component SHARED IMPORTED)

set_target_properties(HPX::memory_counters_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

# Create imported target HPX::process_component
add_library(HPX::process_component SHARED IMPORTED)

set_target_properties(HPX::process_component PROPERTIES
  INTERFACE_LINK_LIBRARIES "HPX::hpx"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/HPXTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# Make sure the targets which have been exported in some other
# export set exist.
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
foreach(_target "HPXInternal::hpx_full" "HPXInternal::hpx_interface" "HPXInternal::hpx_interface_wrap_main" )
  if(NOT TARGET "${_target}" )
    set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets "${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets} ${_target}")
  endif()
endforeach()

if(DEFINED ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)
  if(CMAKE_FIND_PACKAGE_NAME)
    set( ${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
    set( ${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  else()
    message(FATAL_ERROR "The following imported targets are referenced, but are missing: ${${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets}")
  endif()
endif()
unset(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE_targets)

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
